[{assign var="redeemFractionPrice" value=$oView->getPoolRedeemFraction()}]
[{if $oxcmp_user->hasYSGiftcertPoolAmount() && $redeemFractionPrice->getPrice() > 0}]
    [{assign var="currency" value=$oView->getActCurrency()}]
    <form action="[{$oViewConf->getSslSelfLink()}]" name="shipping" id="shipping" method="post">
        [{$oViewConf->getHiddenSid()}]
        [{$oViewConf->getNavFormParams()}]
        <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
        <input type="hidden" name="fnc" value="setPayByPoolMoney">
        <input id="ys_giftcert_use_pool_money" type="checkbox" name="ys_giftcert_use_pool_money" value="1"
               [{if $oView->UseGiftcertPoolMoney()}]checked[{/if}] onchange="this.form.submit();">
        <label for="ys_giftcert_use_pool_money">
            <b>[{oxprice price=$redeemFractionPrice}] [{oxmultilang ident="YS_GIFTCERT_PAYMENT_USE_POOL_MONEY"}]</b>
            [{oxmultilang ident="YS_GIFTCERT_PAYMENT_POOL_MONEY_BALANCE"}]
            : [{oxprice price=$oxcmp_user->getYSGiftcertPoolAmount()}]
        </label>
    </form>
[{/if}]